# Class CollectQualityYieldMetricsFlow.QualityYieldMetricsFlow

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.analysis.MergeableMetricBase
picard.analysis.CollectQualityYieldMetricsFlow.QualityYieldMetricsFlow

Enclosing class:
  `CollectQualityYieldMetricsFlow`

@DocumentedFeature(groupName="Metrics", summary="Metrics") public static class CollectQualityYieldMetricsFlow.QualityYieldMetricsFlow extends MergeableMetricBase
A set of metrics used to describe the general quality of a BAM file

## Nested Class Summary

### Nested classes/interfaces inherited from class MergeableMetricBase

`MergeableMetricBase.MergeByAdding, MergeableMetricBase.MergeByAssertEquals, MergeableMetricBase.MergingIsManual, MergeableMetricBase.NoMergingIsDerived, MergeableMetricBase.NoMergingKeepsValue`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`MEAN_PF_READ_NUMBER_OF_FLOWS`
The average number of flows in PF reads
`double`
`PCT_PF_Q20_FLOWS`
The percentage of flows in all reads that achieve quality score 20 or higher
`double`
`PCT_PF_Q30_FLOWS`
The percentage of flows in all reads that achieve quality score 30 or higher
`long`
`PF_FLOWS`
The total number of flows in all PF reads
`long`
`PF_Q20_EQUIVALENT_YIELD`
The sum of quality scores of all flows in PF reads divided by 20
`long`
`PF_Q20_FLOWS`
The number of flows in PF reads that achieve quality score 20 or higher
`long`
`PF_Q30_FLOWS`
The number of flows in PF reads that achieve quality score 30 or higher
`long`
`PF_READS`
The number of reads that are PF - pass filter
`long`
`TOTAL_READS`
The total number of reads in the input file

## Constructor Summary

Constructors
Constructor
Description
`QualityYieldMetricsFlow()`

## Method Summary

Modifier and Type
Method
Description
`void`
`calculateDerivedFields()`
Placeholder method that will calculate the derived fields from the other ones.
`MergeableMetricBase`
`merge(MergeableMetricBase other)`
Merge another metric into this one

### Methods inherited from class MergeableMetricBase

`canMerge, merge, mergeIfCan`

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### TOTAL_READS

public long TOTAL_READS
The total number of reads in the input file

### PF_READS

public long PF_READS
The number of reads that are PF - pass filter

### MEAN_PF_READ_NUMBER_OF_FLOWS

public int MEAN_PF_READ_NUMBER_OF_FLOWS
The average number of flows in PF reads

### PF_FLOWS

public long PF_FLOWS
The total number of flows in all PF reads

### PF_Q20_FLOWS

public long PF_Q20_FLOWS
The number of flows in PF reads that achieve quality score 20 or higher

### PCT_PF_Q20_FLOWS

public double PCT_PF_Q20_FLOWS
The percentage of flows in all reads that achieve quality score 20 or higher

### PF_Q30_FLOWS

public long PF_Q30_FLOWS
The number of flows in PF reads that achieve quality score 30 or higher

### PCT_PF_Q30_FLOWS

public double PCT_PF_Q30_FLOWS
The percentage of flows in all reads that achieve quality score 30 or higher

### PF_Q20_EQUIVALENT_YIELD

public long PF_Q20_EQUIVALENT_YIELD
The sum of quality scores of all flows in PF reads divided by 20

## Constructor Details

### QualityYieldMetricsFlow

public QualityYieldMetricsFlow()

## Method Details

### calculateDerivedFields

public void calculateDerivedFields()
Description copied from class: `MergeableMetricBase`
Placeholder method that will calculate the derived fields from the other ones. Classes that are derived from non-trivial derived classes should consider calling super.calculateDerivedFields() as well. Fields whose value will change due to this method should be annotated with `NoMergingKeepsValue`.

Overrides:
  `calculateDerivedFields` in class `MergeableMetricBase`

### merge

public MergeableMetricBase merge(MergeableMetricBase other)
Description copied from class: `MergeableMetricBase`
Merge another metric into this one

Overrides:
  `merge` in class `MergeableMetricBase`
Parameters:
  `other` - metric to merge into this one.